Admins: Invite
POST /apps/{app_id}/admins/invite_adminPath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of the pulsate app |
Body Parameters
Section titled “Body Parameters”| Name | Type | Required | Description |
|---|---|---|---|
role |
string | Yes | Allowed roles: app_admin, account_admin, master_admin |
email |
string | Yes | Email of the admin which you want to invite |
managed_app_id |
string | No | managed app id is needed for app_admin role |
allowed_actions |
string | No | send “all” as allowed actions value |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Request Example
Section titled “Request Example”curl --request POST \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/admins/invite_admin \ --header 'authorization: Token token={my_admin_api_token}' \ --header 'content-type: application/json' \ --data '{ "email": "admin@test.com", "role": "app_admin", "managed_app_id": "{managed_app_id}", "allowed_actions": "all"}'Responses
Section titled “Responses”200
{ "message": "Admin created successfully", "admin": { "id": "67e279ca8785f8d9d8a8f6a8", "access": "", "actions": { "edit": true, "delete": true }, "avatar_url": "https://pulsate-media-bucket-production.s3.eu-west-1.amazonaws.com/default-user-avatar.png", "email": "test2@test.com", "job_title": null, "managed_app": null, "name": null, "role": "app_admin", "username": null, "updated_at": "2025-03-25T09:39:22Z", "created_at": "2025-03-25T09:39:22Z", "invite_token": "5YGaraBkX-Y0-ay8tLF-rQ" }}
